术语表正在使用中

Moses Skoda工程师预计阅读 1 分钟

API 会以 409 Conflict 状态返回此错误。其 type 为 https://lingo.dev/docs/api/errors/glossary-in-use。有关所有错误的通用结构,请参阅错误与状态码。

术语表 <id> 正被 2 个引擎使用,无法删除。请先将其从这些引擎中移除。

字段#

除标准的 type、status、title 和 detail 成员外,响应体还包含以下字段。detail 文本由这些字段生成,因此客户端也可以显示自己的文本。

字段类型
idstring
engineCountinteger | null

示例#

json
{
  "detail": "Glossary <id> cannot be deleted while 2 engines apply it. Detach it from those engines first.",
  "id": "<id>",
  "engineCount": 2,
  "type": "https://lingo.dev/docs/api/errors/glossary-in-use",
  "status": 409,
  "title": "Glossary in use"
}

返回此错误的端点#

  • DELETE /v2/glossaries/{id}